/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.fence;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/19 17:26
 */
@ApiModel("实时围栏信息查询条件")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FenceRealtimeConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8094425977297009035L;

    @ApiModelProperty(value = "地图id", example = "1", required = true)
    @NotNull(message = "地图id不能为空")
    private Integer mapId;
}
