/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.location.rule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/23 11:53
 */
@ApiModel("TimeVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TimeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -3275638425715878794L;

    @ApiModelProperty(value = "星期", example = "星期一")
    private String week;

    @ApiModelProperty(value = "起始时间", example = "08:00:00")
    private String beginTime;

    @ApiModelProperty(value = "终止时间", example = "18:00:00")
    private String endTime;
}
