/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.district;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/19 15:57
 */
@ApiModel("实时区域查询条件")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DistrictRealtimeConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 5749083087928117992L;

    @ApiModelProperty(value = "地图id", example = "1")
    private Integer mapId;
}
