/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.warningMsg;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/23 17:11
 */
@ApiModel("WarningMessageParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WarningMessageAddParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -7513618738675035368L;

    @ApiModelProperty(value = "位号", example = "1")
    String tagNum;

    @ApiModelProperty(value = "预警时间", example = "2022-05-23 22:22:22")
    LocalDateTime createTime;
}
