/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.warningMsg;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/23 16:54
 */
@ApiModel("WarningMessageCountVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WarningMessageCountVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 2381198342541182882L;

    @ApiModelProperty(value = "风险等级", example = "1")
    String riskLevel;

    @ApiModelProperty(value = "数量", example = "1")
    String num;
}
